org.apache.ignite.internal.visor.cache

## Class VisorCacheRebalanceTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<Set<String>,Void>
    - - org.apache.ignite.internal.visor.cache.VisorCacheRebalanceTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<Set<String>>,Void>

    @GridInternal
    public class VisorCacheRebalanceTask
    extends VisorOneNodeTask<Set<String>,Void>

Pre-loads caches. Made callable just to conform common pattern.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheRebalanceTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.cache.VisorCacheRebalanceTask.VisorCachesRebalanceJob` `job(Set<String> arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheRebalanceTask

    public VisorCacheRebalanceTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.cache.VisorCacheRebalanceTask.VisorCachesRebalanceJob job(Set<String> arg)

Specified by:
  `job` in class `VisorMultiNodeTask<Set<String>,Void,Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015